<div class="p-20">
	<div class="mb-20">

		<div class="breadcrumbs" >
			<a class="breadcrumbs__item"
				routerLink="../">
				<span> К списку пакетов с результатами ЕГЭ </span>
			</a>
		</div>

		<div>
			<h3 fxFlex=""> Детализация по загруженному пакету с результатами ЕГЭ</h3>

		</div>


	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<div class="art-card"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
		<table mat-table [dataSource]="data">

			<ng-container matColumnDef="id">
				<th mat-header-cell *matHeaderCellDef > ID </th>
				<td mat-cell *matCellDef="let row"> {{ row.id }}</td>
			</ng-container>

			<ng-container matColumnDef="fullname">
				<th mat-header-cell *matHeaderCellDef > ФИО </th>
				<td mat-cell *matCellDef="let row"> {{ row.surname }} {{row.name}} {{row.patronymic}} </td>
			</ng-container>

			<ng-container matColumnDef="docInfo">
				<th mat-header-cell *matHeaderCellDef > Серия и номер паспорта</th>
				<td mat-cell *matCellDef="let row"> {{row.doc_series}} {{ row.doc_number }} </td>
			</ng-container>

			<ng-container matColumnDef="subject">
				<th mat-header-cell *matHeaderCellDef > Предмет ЕГЭ</th>
				<td mat-cell *matCellDef="let row"> {{ row.name_subject }}</td>
			</ng-container>


			<ng-container matColumnDef="mark">
				<th mat-header-cell *matHeaderCellDef > Балл</th>
				<td mat-cell *matCellDef="let row"> {{ row.mark }}</td>
			</ng-container>

			<ng-container matColumnDef="region">
				<th mat-header-cell *matHeaderCellDef > Регион</th>
				<td mat-cell *matCellDef="let row"> {{ row.name_region }}</td>
			</ng-container>

			<ng-container matColumnDef="year">
				<th mat-header-cell *matHeaderCellDef > Год сдачи</th>
				<td mat-cell *matCellDef="let row"> {{ row.year }}</td>
			</ng-container>

			<ng-container matColumnDef="cert_number">
				<th mat-header-cell *matHeaderCellDef > Номер свидетельства</th>
				<td mat-cell *matCellDef="let row"> {{ row.cert_number }}</td>
			</ng-container>

			<ng-container matColumnDef="status">
				<th mat-header-cell *matHeaderCellDef > Статус свидетельства</th>
				<td mat-cell *matCellDef="let row"> {{ row.status }}</td>
			</ng-container>

			<ng-container matColumnDef="app_status">
				<th mat-header-cell *matHeaderCellDef > Аппеляция</th>
				<td mat-cell *matCellDef="let row"> {{ row.app_status }}</td>
			</ng-container>


			<ng-container matColumnDef="checked">
				<th mat-header-cell *matHeaderCellDef > Добавлено</th>
				<td mat-cell *matCellDef="let row"> {{ row.checked | yesNo }}</td>
			</ng-container>

			<ng-container matColumnDef="error">
				<th mat-header-cell *matHeaderCellDef > Ошибка</th>
				<td mat-cell *matCellDef="let row"> {{ row.error || '-'}}</td>
			</ng-container>


			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef  [colSpan]="displayedColumns.length" ><i>Данные не найдены</i> </td>
			</ng-container>

			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
			<tr mat-row
				class="table-row"
				*matRowDef="let item; columns: displayedColumns; " >

			</tr>
			<tr mat-row *matFooterRowDef="['noRecord'] " [hidden]="data.length" ></tr>

		</table>
		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="pageSizeOptions"
			showFirstLastButtons>
		</mat-paginator>
	</div>
</div>
